feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Future

# Documentation

newtype Future a

Constructors

Future |
Fields unFuture :: Data (FVal (Internal a))

Instances

Syntax a => Syntactic (Future a) |
Syntax a => Syntax (Future a) |

later :: (Syntax a, Syntax b) => (a -> b) -> Future a -> Future b

pval :: (Syntax a, Syntax b) => (a -> b) -> a -> b

future :: Syntax a => a -> Future a

await :: Syntax a => Future a -> a